<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>

  <PropertyGroup>
    <NoWarn>1701;1702;NU1701;1591</NoWarn>
    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
    <GenerateDocumenationFile>true</GenerateDocumenationFile>
    <DocumentationFile>bin\$(Configuration)\$(TargetFramework)\Condatis.Hub.ContentDefinitions.xml</DocumentationFile>
    <NeutralLanguage>en-GB</NeutralLanguage>
  </PropertyGroup>

  <ItemGroup>
    <AdditionalFiles Include="../.analyzersettings/StyleCop.json" Link="StyleCop.json" />
  </ItemGroup>


  <ItemGroup>
    <PackageReference Include="Microsoft.ApplicationInsights.AspNetCore" Version="2.15.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="3.1.9" />
    <PackageReference Include="Microsoft.Azure.Services.AppAuthentication" Version="1.6.0" />
    <PackageReference Include="Microsoft.CodeAnalysis.FxCopAnalyzers" Version="3.3.1">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.Extensions.Configuration.AzureKeyVault" Version="3.1.9" />
    <PackageReference Include="Microsoft.Web.LibraryManager.Build" Version="2.1.113" />
    <PackageReference Include="NWebsec.AspNetCore.Middleware" Version="3.0.0" />
    <PackageReference Include="StyleCop.Analyzers" Version="1.1.118">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>


  <ItemGroup>
    <Folder Include="wwwroot\assets\" />
    <Folder Include="wwwroot\lib\" />
  </ItemGroup>

</Project>
